using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixUserManager.Class;
using MySql.Data.MySqlClient;

namespace PhoenixUserManager.GUI
{
    public partial class fr_Inscription : Form
    {
        #region Variables
        /// <summary>
        /// Information about the new user
        /// </summary>
        private UserManager vUserManager =
            new UserManager("PhoenixUserManag", "", "jibedoubleve.mine.nu", "Phoenix", "Phoenix");
        #endregion

        #region Constructor
        /// <summary>
        /// Constructor
        /// </summary>
        public fr_Inscription()
        {
            InitializeComponent();
            pg_User.SelectedObject = this.vUserManager;
        }
        #endregion

        #region Events
        /// <summary>
        /// Click on cancel
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MenuClick_Cancel(object sender, EventArgs e)
        {
            base.DialogResult = DialogResult.Cancel;
            this.Close();
        }
        /// <summary>
        /// Click on OK
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MenuClick_OK(object sender, EventArgs e)
        {
            try
            {
                vUserManager.Add();
                base.DialogResult = DialogResult.OK;
                this.Close();
            }
            catch (MySqlException ex)
            {
                MessageBox.Show("Une erreur est survenue au niveau de la base de donnes"
                + ", l'inscription est impossible! (" + ex.Message + ")",
                "Attention", MessageBoxButtons.OK, MessageBoxIcon.Asterisk);
                base.DialogResult = DialogResult.Cancel;
                this.Close();
            }
            catch (Exception ex)
            {
                MessageBox.Show("Une erreur est survenue, l'inscription est impossible! (" + ex.Message + ")",
                    "Attention", MessageBoxButtons.OK, MessageBoxIcon.Asterisk);
                base.DialogResult = DialogResult.Cancel;
                this.Close();
            }
        }
        #endregion
    }
}